﻿Imports System.Windows.Forms
Imports System.Collections.ObjectModel
Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.DesktopEdition

Public Class MainForm
    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub TestForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        WinformsMap1.MapUnit = GeographyUnit.DecimalDegree
        WinformsMap1.CurrentExtent = New RectangleShape(-96.8756, 33.0875, -96.8629, 33.0789)
        WinformsMap1.BackgroundOverlay.BackgroundBrush = New GeoSolidBrush(GeoColor.FromArgb(255, 198, 255, 255))

        'Displays the World Map Kit as a background.
        Dim worldMapKitDesktopOverlay As New WorldMapKitWmsDesktopOverlay()
        WinformsMap1.Overlays.Add(worldMapKitDesktopOverlay)

        Dim rulerTrackInteractiveOverlay As New RulerTrackInteractiveOverlay()
        WinformsMap1.TrackOverlay = rulerTrackInteractiveOverlay
        WinformsMap1.TrackOverlay.TrackMode = TrackMode.Line

        WinformsMap1.Refresh()
    End Sub


    Private Sub winformsMap1_MouseMove(sender As Object, e As MouseEventArgs) Handles WinformsMap1.MouseMove
        'Displays the X and Y in screen coordinates.
        'statusStrip1.Items("toolStripStatusLabelScreen").Text = "X:" & e.X & " Y:" & e.Y

        'Gets the PointShape in world coordinates from screen coordinates.
        Dim pointShape As PointShape = ExtentHelper.ToWorldCoordinate(WinformsMap1.CurrentExtent, New ScreenPointF(e.X, e.Y), WinformsMap1.Width, WinformsMap1.Height)

        'Displays world coordinates.
        'statusStrip1.Items("toolStripStatusLabelWorld").Text = "(world) X:" & Math.Round(pointShape.X, 4) & " Y:" & Math.Round(pointShape.Y, 4)
    End Sub
End Class